View Issue Details

IDProjectCategoryView StatusLast Update
0004786GNUnetARM servicepublic2018-06-07 00:24
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004786: arm service started twice
DescriptionWhen starting arm with

$ gnunet-arm -s

we end up with two arm processes and the following warning:

Nov 14 15:51:22-653509 util-10186 WARNING Failed to establish connection to `arm', no further addresses to try.
TagsNo tags attached.

Activities

tg

2016-11-25 22:11

manager   ~0011546

the warning is because gnunet-arm tries to connect to the ARM service before it starts it, which seems harmless.

the issue is when gnunet-service-arm calls GNUNET_SERVICE_ruN_(),
it ends up hanging in a READ() in detach_terminal()

tg

2016-11-25 22:42

manager   ~0011547

Last edited: 2016-11-25 22:51

View 2 revisions

fixed in https://gnunet.org/git/gnunet.git/commit/?id=82e765caeb53a1de54676738169dab98ca76c47e

apparently this bit was not migrated to the new service API from service_task() in service.c
BTW, service_task() also does write_pid_file(), is that not needed in service_new?

Florian Dold

2017-01-12 14:24

developer   ~0011624

Both on my laptop and on dold@taler.net I can still reproduce the warning. Built with commit a4295da3d.

Christian Grothoff

2017-01-13 13:26

manager   ~0011629

WARNING is now DEBUG-level, as it is harmless and sometimes (often) expected.

Issue History

Date Modified Username Field Change
2016-11-14 15:52 Florian Dold New Issue
2016-11-25 22:11 tg Note Added: 0011546
2016-11-25 22:28 tg Assigned To => tg
2016-11-25 22:28 tg Status new => assigned
2016-11-25 22:42 tg Note Added: 0011547
2016-11-25 22:43 tg Assigned To tg => Christian Grothoff
2016-11-25 22:43 tg Status assigned => feedback
2016-11-25 22:51 tg Note Edited: 0011547 View Revisions
2017-01-12 14:24 Florian Dold Note Added: 0011624
2017-01-12 14:24 Florian Dold Status feedback => assigned
2017-01-13 13:26 Christian Grothoff Status assigned => resolved
2017-01-13 13:26 Christian Grothoff Resolution open => fixed
2017-01-13 13:26 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-01-13 13:26 Christian Grothoff Note Added: 0011629
2017-01-13 13:26 Christian Grothoff Product Version => SVN HEAD
2017-01-13 13:26 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed